# Class DefaultMeasureDescription

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultMeasureDescription

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

@UML(identifier="DQM_Description", specification=UNSPECIFIED) public class DefaultMeasureDescription extends ISOMetadata
Data quality measure description. The following property is mandatory in a well-formed metadata according ISO 19157:
`DQM_Description` `└─textDescription……………` Text description.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultMeasureDescription()`
  Constructs an initially empty description.
  `DefaultMeasureDescription(CharSequence text)`
  Constructs a description initialized with the given text.
  `DefaultMeasureDescription(DefaultMeasureDescription object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BrowseGraphic`
  `getExtendedDescription()`
  Returns the illustration.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `InternationalString`
  `getTextDescription()`
  Returns the text description.
  `void`
  `setExtendedDescription(BrowseGraphic newValue)`
  Sets the illustration.
  `void`
  `setTextDescription(InternationalString newValue)`
  Sets the text description.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMeasureDescription

    public DefaultMeasureDescription()
    Constructs an initially empty description.

  - ### DefaultMeasureDescription

    public DefaultMeasureDescription(CharSequence text)
    Constructs a description initialized with the given text.
    Parameters:
      `text` - text description, or `null` if none.

  - ### DefaultMeasureDescription

    public DefaultMeasureDescription(DefaultMeasureDescription object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getTextDescription

    @UML(identifier="textDescription", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getTextDescription()
    Returns the text description.
    Returns:
      text description.

  - ### setTextDescription

    public void setTextDescription(InternationalString newValue)
    Sets the text description.
    Parameters:
      `newValue` - the new description text.

  - ### getExtendedDescription

    @UML(identifier="extendedDescription", obligation=OPTIONAL, specification=UNSPECIFIED) public BrowseGraphic getExtendedDescription()
    Returns the illustration.
    Returns:
      description illustration, or `null` if none.

  - ### setExtendedDescription

    public void setExtendedDescription(BrowseGraphic newValue)
    Sets the illustration.
    Parameters:
      `newValue` - the new description illustration.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.